# AI4Steel

## Cieľ

- Návrh modelu zloženia tavnej zmesi v konvertore  s využitím hlbokých neurónových sietí

## Riešitelia

- [Maroš Harahus](/students/2016/maros_harahus)
- Lukáš Hruška

## Metódy

- klasické (štatistické) metódy predikcie postupností a predikcie časových radov.
- modelovanie pomocou hlbokých neurónových sietí (RNN, LSTM, VAE, CNN, Transformer, GNN, GAN)
- https://en.m.wikipedia.org/wiki/Basic_oxygen_steelmaking
- Time Series Prediction
- Markov Decision Process?
- Možné nástroje: Keras, Pytorch Lightning ... 

## Stretnutia

### Interná porada 17.1.2022 

Lukáš Hruška, Ján Magyar, Daniel Hládek, Peter Sinčák, Jozef Juhár.

Prezentácia Lukáš:

- Je rozdiel medzi konvertormi:
-    len v parametre síra.
    - v konertoroc je rozdiel, každý má inú charakteristiku.
vytvorenie "zhustenej" reprezentácie dát - (deep) autoenkóder + LSTM.
- tavba je časovo závislý proces. 
- cieľom je vytvorenie modelu - "zhustenej reprezentácie" na predpovedanie rôznych veličín. Predpovedný model je možné použiť na optimalizáciu

Niekoľko odkazov:

- https://thermocalc.com/academia/free-educational-package/
- https://reader.elsevier.com/reader/sd/pii/S2352492820302178?token=5EA4D3B31E698BEEAE4DB08361F9F985EC80CAF012A4EE2E8EF11479A93BE1F14C1023E529FFE200659FE8A452345596&originRegion=eu-west-1&originCreation=20220117153447
- Sandip Barui, Sankha Mukherjee, Amiy Srivastava,  Kinnor Chattopadhyay : Understanding Dephosphorization in Basic OxygenFurnaces (BOFs) Using Data DrivenModeling Techniques
- https://www.chemeurope.com/en/encyclopedia/Basic_oxygen_steelmaking.html

Čo ďalej:

- Jednoducho predspracovať dáta
- Vytvoriť generatívny model (GAN,VAE).
- Ako vyčistiť dáta?


## Úlohy

- Pochopiť modelovaný proces a zostaviť podrobný prehľad metód modelovania a možných overovacích množin.
- Predpripraviť dáta
- Vybrať vhodnú sadu nástrojov, zostaviť a vyhodnotiť model.
- Overiť model v praxi 

## Harmonogram

(zatiaľ bez termínov)

### Fáza teoretickej prípravy

Vo fáze teoretickej prípravy sa zameriame na pochopenie technologického procesu výroby ocele. Absolvujeme osobnú exkurziu v železiarni a porozprávame sa s pracovníkmi pri tavbe. V oblasti dátovej analytiky sa oboznámime so základnými predikcie postupností a predikcie časových radov klasickými metódami aj metódami pomocou neurónových sietí. Vypracujeme prehľadový článok kde zhrnieme aktuálne vedecké práce na túto tému.

### Fáza prípravy dát

Zhromaždíme všetky dostupné dáta z technologického procesu a konvertujeme ich do strojovo ľahko čitateľnej formy. Očistíme ich od šumu a doplníme chýbajúce hodnoty.

Analyzujeme dáta aby sme identifikovali závislé a nezávislé veličiny, ich dátový typy a jednotky. Z očistených dát zostavíme trénovaciu a vyhodnocovaciu množinu. Navrhneme vhodnú metódu a metriku vyhodnotenia. Identifikujeme vhodné softvérové prostriedky a knižnice.

### Fáza modelovania

Navrhneme a implementujeme prvotný model. Na základy prvých výsledkov budeme skúšať rôzne metódy reprezentácie pomocou vektorovej formy – kódovanie do jednotkového vektora, zníženie rozmeru matice alebo kvantizáciu. Vyskúšame rôzne spôsoby modelovania založené na štatistike aj na neurónových sieťach. Začneme vyvíjať používateľskú aplikáciu pre nasadenie modelu do praxe. Predbežné výsledky budeme publikovať a konzultovať s odborníkmi z praxe.

### Fáza nasadenia

Model, ktorý dosiahne najlepšie výsledky v simulácii skúsime overiť v praxi. Dokončíme aplikáciu pre podporu rozhodovania pri technologickom procese. Zozbierame spätnú väzbu od pracovníkov tavby a podľa toho vylepšíme model a aplikáciu.


### Fáza vyhodnotenia a prezentácie výsledkov:

Odmeriame vplyv nového modelu na technologický proces. Zorganizujeme PR aktivity (tlačovú konferencium, PR články, reportáže) pre prezentovanie výsledkov projektu. Prezentujeme finálne výsledky na konferenciách a v časopisoch. 